<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KStartupInfo</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KStartupInfo Class Reference</h1>
<code>from PyKDE4.kdeui import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>

<p>Class for manipulating the application startup notification.
</p>
<p>
This class can be used to send information about started application,
change the information and receive this information. For detailed
description, see kdelibs/kdecore/README.kstartupinfo.
</p>
<p>
You usually don't need to use this class for sending the notification
information, as KDE libraries should do this when an application is
started (e.g. KRun class).
</p>
<p>
For receiving the startup notification info, create an instance and connect
to its slots. It will automatically detect started applications and when
they are ready.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KStartupInfoId
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KStartupInfoData
</dd></dl> </p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Lubos Lunak &lt;l.lunak@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj164653356">anonymous</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;CleanOnCantDetect, DisableKWinModule, AnnounceSilenceChanges&nbsp;}</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj183974796">startup_t</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;NoMatch, Match, CantDetect&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183945548">gotNewStartup</a> (<a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183945516">gotRemoveStartup</a> (<a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183946892">gotStartupChange</a> (<a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189010188">__init__</a> (self, int flags, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189010988">__init__</a> (self, bool clean_on_cantdetect, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183931436">__init__</a> (self, <a href="../kdeui/KStartupInfo.html">KStartupInfo</a> a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KStartupInfo.startup_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183956140">checkStartup</a> (self, WId w)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KStartupInfo.startup_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183957740">checkStartup</a> (self, WId w, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KStartupInfo.startup_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183957932">checkStartup</a> (self, WId w, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KStartupInfo.startup_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183959372">checkStartup</a> (self, WId w, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183946636">customEvent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qevent.html">QEvent</a> e_P)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183945548">gotNewStartup</a> (self, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183945516">gotRemoveStartup</a> (self, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183946892">gotStartupChange</a> (self, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183959212">setTimeout</a> (self, long secs)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164653004">appStarted</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164651660">appStarted</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164652844">createNewStartupId</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183974924">currentStartupIdEnv</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj163886796">disableAutoAppStartedSending</a> (bool disable=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183943244">handleAutoAppStartedSending</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183973484">resetStartupEnv</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182432332">sendChange</a> (<a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182434060">sendChangeX</a> (Display dpy, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183972716">sendFinish</a> (<a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183972844">sendFinish</a> (<a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183972460">sendFinishX</a> (Display dpy, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183972588">sendFinishX</a> (Display dpy, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182433644">sendStartup</a> (<a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj182434156">sendStartupX</a> (Display dpy, <a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> id, <a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164651276">setNewStartupId</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> window, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183958188">setWindowStartupId</a> (WId window, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj164653836">silenceStartup</a> (bool silence)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj183945292">windowStartupId</a> (WId w)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj189010188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>flags</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an instance that will receive the startup notifications.
The various flags passed may be
<li> CleanOnCantDetect - when a new unknown window appears, all startup </li>
notifications for applications that are not compliant with
the startup protocol are removed
<li> DisableKWinModule - KWinModule, which is normally used to detect </li>
new windows, is disabled. With this flag, checkStartup() must be
called in order to check newly mapped windows.
<li> AnnounceSilenceChanges - normally, startup notifications are </li>
"removed" when they're silenced, and "recreated" when they're resumed.
With this flag, the change is normally announced with gotStartupChange().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> OR-ed combination of flags

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> the parent of this QObject (can be 0 for no parent)
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj189010988"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>clean_on_cantdetect</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Creates an instance that will receive the startup notifications.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>clean_on_cantdetect</em>&nbsp;</td><td> if true, and a new unknown window appears,
removes all notification for applications that are not compliant
with the app startup protocol

<tr><td></td><td valign="top"><em>parent</em>&nbsp;</td><td> the parent of this QObject (can be 0 for no parent)
</td></tr>
</table></dl>
<p> <dl class="obsolete" compact><dt><b>Obsolete:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj183931436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfo.html">KStartupInfo</a>&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj164653004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> appStarted</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Manual notification that the application has started.
If you do not map a (toplevel) window, then startup
notification will not disappear for the application
until a timeout. You can use this as an alternative
method in this case.
</p></div></div><a class="anchor" name="obj164651660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> appStarted</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sends explicit notification that the startup notification
with id startup_id should end.
</p></div></div><a class="anchor" name="obj183956140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KStartupInfo.startup_t checkStartup</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>w</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks if the given windows matches any existing startup notification.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> the window id to check
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the result of the operation
</dd></dl>
</p></div></div><a class="anchor" name="obj183957740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KStartupInfo.startup_t checkStartup</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>w</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks if the given windows matches any existing startup notification, and
if yes, returns the identification in id.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> the window id to check

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> if found, the id of the startup notification will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the result of the operation
</dd></dl>
</p></div></div><a class="anchor" name="obj183957932"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KStartupInfo.startup_t checkStartup</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>w</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks if the given windows matches any existing startup notification, and
if yes, returns the notification data in data.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> the window id to check

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> if found, the data of the startup notification will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the result of the operation
</dd></dl>
</p></div></div><a class="anchor" name="obj183959372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KStartupInfo.startup_t checkStartup</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>w</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Checks if the given windows matches any existing startup notification, and
if yes, returns the identification in id and notification data in data.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> the window id to check

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> if found, the id of the startup notification will be written here

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> if found, the data of the startup notification will be written here
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the result of the operation
</dd></dl>
</p></div></div><a class="anchor" name="obj164652844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> createNewStartupId</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Creates and returns new startup id. The id includes properly setup
user timestamp.
</p></div></div><a class="anchor" name="obj183974924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a> currentStartupIdEnv</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the current startup notification identification for the current
startup notification environment variable. Note that KApplication constructor
unsets the variable and you have to use KApplication.startupId .
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the current startup notification identification
</dd></dl>
</p></div></div><a class="anchor" name="obj183946636"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> customEvent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qevent.html">QEvent</a>&nbsp;</td>
<td class="paramname"><em>e_P</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>
</p></div></div><a class="anchor" name="obj163886796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> disableAutoAppStartedSending</td>
<td>(</td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>disable=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>By default, the startup notification is ended for the application
after it shows its first toplevel window. If you app e.g. has
several toplevel windows after its startup, you can disable
the automatic handling, and call appStarted() manually after
all toplevel windows have been shown.
</p></div></div><a class="anchor" name="obj183945548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> gotNewStartup</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when a new startup notification is created (i.e. a new application is
being started).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the notification identification

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the notification data
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("gotNewStartup(const KStartupInfoId&, const KStartupInfoData&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj183945516"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> gotRemoveStartup</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when a startup notification is removed (either because it was detected
that the application is ready or because of a timeout).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the notification identification

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the notification data
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("gotRemoveStartup(const KStartupInfoId&, const KStartupInfoData&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj183946892"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> gotStartupChange</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when a startup notification changes.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the notification identification

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the notification data
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("gotStartupChange(const KStartupInfoId&, const KStartupInfoData&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj183943244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> handleAutoAppStartedSending</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p></div></div><a class="anchor" name="obj183973484"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> resetStartupEnv</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Unsets the startup notification environment variable.
</p></div></div><a class="anchor" name="obj182432332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendChange</td>
<td>(</td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sends given notification data about started application
with the given startup identification. This is used for updating the notification
info, if no notification for this identification exists, it's ignored.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the application's data
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KStartupInfoId
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KStartupInfoData
</dd></dl>
</p></div></div><a class="anchor" name="obj182434060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendChangeX</td>
<td>(</td>
<td class="paramtype">Display&nbsp;</td>
<td class="paramname"><em>dpy</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Like sendChange , uses dpy instead of qt_x11display() for sending the info.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>dpy</em>&nbsp;</td><td> the display of the application.

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the application's data
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj183972716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendFinish</td>
<td>(</td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Ends startup notification with the given identification.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj183972844"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendFinish</td>
<td>(</td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Ends startup notification with the given identification and the given data ( e.g.
PIDs of processes for this startup notification that exited ).
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the application's data
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj183972460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendFinishX</td>
<td>(</td>
<td class="paramtype">Display&nbsp;</td>
<td class="paramname"><em>dpy</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Like sendFinish , uses dpy instead of qt_x11display() for sending the info.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>dpy</em>&nbsp;</td><td> the display of the application.

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj183972588"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendFinishX</td>
<td>(</td>
<td class="paramtype">Display&nbsp;</td>
<td class="paramname"><em>dpy</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Like sendFinish , uses dpy instead of qt_x11display() for sending the info.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>dpy</em>&nbsp;</td><td> the display of the application.

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the application's data
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj182433644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendStartup</td>
<td>(</td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sends given notification data about started application
with the given startup identification. If no notification for this identification
exists yet, it is created, otherwise it's updated. Note that the name field
in data is required.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the application's data
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KStartupInfoId
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KStartupInfoData
</dd></dl>
</p></div></div><a class="anchor" name="obj182434156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool sendStartupX</td>
<td>(</td>
<td class="paramtype">Display&nbsp;</td>
<td class="paramname"><em>dpy</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoId.html">KStartupInfoId</a>&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KStartupInfoData.html">KStartupInfoData</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Like sendStartup , uses dpy instead of qt_x11display() for sending the info.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>dpy</em>&nbsp;</td><td> the display of the application. Note that the name field
in data is required.

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the application

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the application's data
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if successful, false otherwise
</dd></dl>
</p></div></div><a class="anchor" name="obj164651276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setNewStartupId</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>window</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Use this function if the application got a request with startup
notification from outside (for example, when KUniqueApplication.newInstance()
is called, or e.g. when khelpcenter opens new URL in its window).
The window can be either an already existing and visible window,
or a new one, before being shown. Note that this function is usually
needed only when a window is reused.
</p></div></div><a class="anchor" name="obj183959212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setTimeout</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>secs</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the timeout for notifications, after this timeout a notification is removed.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>secs</em>&nbsp;</td><td> the new timeout in seconds
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj183958188"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setWindowStartupId</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>window</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the startup notification window property on the given window.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>window</em>&nbsp;</td><td> the id of the window

<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the startup notification id
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj164653836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> silenceStartup</td>
<td>(</td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>silence</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>If your application shows temporarily some window during its startup,
for example a dialog, and only after closing it shows the main window,
startup notification would normally be shown while the dialog is visible.
To temporarily suspend and resume the notification, use this function.
Note that this is cumulative, i.e. after suspending twice, you have to
resume twice.
</p></div></div><a class="anchor" name="obj183945292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> windowStartupId</td>
<td>(</td>
<td class="paramtype">WId&nbsp;</td>
<td class="paramname"><em>w</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns startup notification identification of the given window.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> the id of the window
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the startup notification id. Can be null if not found.
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj164653356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">anonymous</td>
</tr>
</table>
</div>
<div class="memdoc"><p>
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>CleanOnCantDetect</em>&nbsp;=&nbsp;1<<0</td><td><tr><td valign="top"><em>DisableKWinModule</em>&nbsp;=&nbsp;1<<1</td><td><tr><td valign="top"><em>AnnounceSilenceChanges</em>&nbsp;=&nbsp;1<<2</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj183974796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">startup_t</td>
</tr>
</table>
</div>
<div class="memdoc"><p><li> NoMatch - the window doesn't match any existing startup notification </li>
<li> Match - the window matches an existing startup notification </li>
<li> CantDetect - unable to detect if the window matches any existing </li>
startup notification
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>NoMatch</em>&nbsp;</td><td><tr><td valign="top"><em>Match</em>&nbsp;</td><td><tr><td valign="top"><em>CantDetect</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
